<?php
require_once('vb_api_client.php');
require_once('config.php');

final class PhotoInfo {
    public static function all() {
        return array_values(@$_SESSION['PhotoInfo']);
    }
    public static function get($id) {
        if(isset($_SESSION['PhotoInfo'][$id])) {
            return $_SESSION['PhotoInfo'][$id];
        }
        return new PhotoInfo($id);
    }

    public static function set($photo) {
        $_SESSION['PhotoInfo'][$photo->getId()] = $photo;
    }

    public static function buildPhotoInfo() {
        $json = json_decode(VBApiClient::instance()->call_cached('api_getnewtop', array(), array()), true);
        self::populatePhotoInfo($json);
    }

    public static function populatePhotoInfo($picture) {
        if(!empty($picture['id'])) {
            $photo = PhotoInfo::get($picture['id']);
            $photo->setContentUrl($picture['contenturl']);
            PhotoInfo::set($forum);
        } else if (!empty($picture)) {
            foreach($picture as $photo) {
                self::populatePhotoInfo(@$photo);
            }
        }
    }

    private $id;
    private $contenturl;


    private function __construct($id) {
        $this->id = $id;
    }

    public function getId() {
        return $this->id;
    }

    public function setContentUrl($contentUrl) {
        $this->contenturl = $contentUrl;
    }

    public function getContentUrl() {
        return $this->contenturl;
    }

}
?>
